//
//  MainCharacter.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 24/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__MainCharacter__
#define __GlobalGameJam15__MainCharacter__

#include <PixelKit/PixelKit.h>
#include "Defines.h"
#include "Entity.h"

using namespace PixelKit;


class MainCharacter : public Entity
{
public:
	MainCharacter();
	virtual ~MainCharacter();
	
	virtual void didStartMotion(EntityMotion direction) override;
	virtual void didFinishMotion(EntityMotion direction) override;
	
	virtual Particle* emit(int timeInterval) override;
	
	virtual void move(EntityMotion direction) override;
	
	virtual void takeTurn();
	
	int lives;
	
private:
	
	bool _move;
	Point<float> _emitPoint;
	void _setEmitPoint(EntityMotion direction);
};

#endif /* defined(__GlobalGameJam15__MainCharacter__) */
